class AuthAPI {
    async validate_username(username) {
        const result = await axios.post('/api/v1/auth/validate/username', { username })
        return result && result.data && result.data.data && result.data.data.is_valid
    }

    async attempt({ username, password, create_session }) {
        try {
            const result = await axios.post('/api/v1/auth/attempt', {
                username, password, create_session
            })

            if ( result && result.data && result.data.data && result.data.data ) {
                return result.data.data
            }
        } catch (e) {}

        return { success: false }
    }

    async mfa_generate() {
        const result = await axios.post('/api/v1/auth/mfa/generate')
        return result && result.data && result.data.data
    }

    async mfa_attempt(verify_code) {
        const result = await axios.post('/api/v1/auth/mfa/attempt', { verify_code })
        return result && result.data && result.data.data
    }

    async mfa_enable() {
        const result = await axios.post('/api/v1/auth/mfa/enable')
        return result && result.data && result.data.data && result.data.data.success && result.data.data.mfa_enabled
    }
}

const auth_api = new AuthAPI()
export { auth_api }
